<template>
    <Wraper noFooter :hidden="hidden">
        <span>备注：</span>
        <div style="min-height: 100px" class="tw-font-medium tw-mt-2">{{ detailData.inspectionRemark }}</div>

        <a-tabs>
            <!-- Todo -->
            <a-tab-pane key="1" tab="图片"></a-tab-pane>
            <a-tab-pane key="2" tab="视频"></a-tab-pane>
        </a-tabs>
    </Wraper>
</template>

<script>
import Wraper from '@/components/table/wraper.vue';
import { getRangerInspectionTaskDetailApi } from '@/api';

export default {
    props: { hidden: Function, row: Object },
    components: { Wraper },
    data() {
        return {
            detailData: {},
        };
    },

    async mounted() {
        this.detailData = await getRangerInspectionTaskDetailApi(this.row.taskId);
        console.log(this.detailData);
    },
};
</script>
